services:
  app.payum.http_client:
    public: true
    class: Tests\FluxSE\SyliusPayumStripePlugin\App\Payum\HttpClient\HttpClient
    arguments:
      $client: '@Psr\Http\Client\ClientInterface'
  app.payum.message_factory:
    public: true
    class: Tests\FluxSE\SyliusPayumStripePlugin\App\Payum\Factory\MessageFactory
    arguments:
      $requestFactory: '@Psr\Http\Client\ClientInterface'
      $responseFactory: '@nyholm.psr17.factory'
      $streamFactory: '@Psr\Http\Client\ClientInterface'

  nyholm.psr17.factory:
    public: true
    class: Nyholm\Psr7\Factory\Psr17Factory

framework:
  http_client:
    enabled: true # require to alias the service Psr\Http\Client\ClientInterface

payum:
  gateways:
    core:
      httplug.message_factory: '@app.payum.message_factory'
      httplug.stream_factory: '@app.payum.message_factory'
      httplug.client: '@Symfony\Component\HttpClient\HttplugClient'
      payum.http_client: '@app.payum.http_client'
